Bug 829705 - initscript of ipmi contains incomplete path and cannot start by certain users
initscript of ipmi contains incomplete path and cannot start by certain users
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: OpenIPMI (Show other bugs)
5.5
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Jan Safranek
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 07:14 EDT by ta.kadowaki
Modified: 2013-01-07 23:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the 'ipmi' service init script did not specify full path to /sbon/lsmod and /sbin/modprobe system utilities. The init script then failed when it was executed with PATH not pointing to /sbin, for example using sudo /etc/init.d/ipmi. In this update, the init script contains full path to lsmod and modrpobe, therefore it can be executed with sudo.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 23:52:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ta.kadowaki 2012-06-07 07:14:44 EDT
Description of problem:
/etc/init.d/ipmi

Version-Release number of selected component (if applicable):
OpenIPMI-2.0.16-12.el5

How reproducible:


Steps to Reproduce:
1. login as a non-root user
2. sudo /etc/init.d/ipmi start
  
Actual results:
ipmi driver is loaded.

Expected results:
impi driver is not loaded.

Additional info:
/etc/init.d/ipmi contains execution of lsmod without complete command path.
Comment 1 RHEL Product and Program Management 2012-06-07 08:57:37 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Jan Safranek 2012-06-08 12:18:31 EDT
I sent a patch upstream: http://thread.gmane.org/gmane.linux.kernel.openipmi/1972
Comment 3 Jan Safranek 2012-06-11 04:09:23 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the 'ipmi' service init script did not specify full path to /sbon/lsmod and /sbin/modprobe system utilities. The init script then failed when it was executed with PATH not pointing to /sbin, for example using sudo /etc/init.d/ipmi. In this update, the init script contains full path to lsmod and modrpobe, therefore it can be executed with sudo.
Comment 8 errata-xmlrpc 2013-01-07 23:52:35 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0123.html

Note You need to log in before you can comment on or make changes to this bug.